Skip to main content
POST
Cancel Fine-tuning Job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

x-tfy-provider-name
string

Name of the provider

x-tfy-vertex-storage-bucket-name
string

Vertex AI storage bucket name

x-tfy-provider-model
string

Provider-specific model identifier

x-tfy-file-purpose
string

Purpose for the file upload (e.g., fine-tune)

Path Parameters

fine_tuning_job_id
string
required

The ID of the fine-tuning job to cancel

Response

Fine-tuning job cancelled successfully

object
enum<string>
required

The object type

Available options:
fine_tuning.job
id
string
required

The fine-tuning job ID

model
string
required

The model being fine-tuned

created_at
integer
required

The Unix timestamp when the job was created

fine_tuned_model
string | null
required

Name of the resulting fine-tuned model.

organization_id
string
required

The organization that owns the fine-tuning job

result_files
string[]
required

The compiled results files for the fine-tuning job

status
enum<string>
required

The current status of the fine-tuning job

Available options:
queued,
running,
succeeded,
failed,
cancelled
validation_file
string | null
required

The file ID used for validation

training_file
string
required

The file ID used for training

finished_at
integer | null

The Unix timestamp when the job finished

hyperparameters
object | null

The hyperparameters used for the fine-tuning job

trained_tokens
integer | null

The total number of tokens used for training

integrations
object[] | null

A list of integrations enabled for the fine-tuning job

seed
integer | null

The seed used for the fine-tuning job

estimated_finish
integer | null

The estimated finish timestamp for the job

method
object | null

The method used for fine-tuning

metadata
object | null

Set of 16 key-value pairs that can be attached to an object